// Constants
const int relayPIN = 4;
const int buttonPin = 2;

int buttonState;             // the current reading from the input pin
int lastButtonState = LOW;   // the previous reading from the input pin

// the following variables are unsigned longs because the time, measured in
// milliseconds, will quickly become a bigger number than can be stored in an int.
unsigned long lastDebounceTime = 0;  // the last time the output pin was toggled
unsigned long debounceDelay = 5000;    // the debounce time; increase if the output flickers

void setup()
{
  Serial.begin(9600);

  //RELAY
  pinMode(relayPIN,OUTPUT);
  digitalWrite(relayPIN, LOW);

  //BUTTON
  pinMode(buttonPin, INPUT);
}
 
void loop()
{
  // read the state of the switch into a local variable:
  int reading = digitalRead(buttonPin);
  Serial.println(digitalRead(buttonPin));

  // check to see if you just pressed the button
  // (i.e. the input went from LOW to HIGH), and you've waited long enough
  // since the last press to ignore any noise:

  if ((millis() - lastDebounceTime) > debounceDelay && reading == HIGH) {
    lastDebounceTime = millis();
    // whatever the reading is at, it's been there for longer than the debounce
    // delay, so take it as the actual current state:
    relay();    

  }
}

void relay()
{
  
    digitalWrite(relayPIN, HIGH);
    Serial.println("relay-on");
    delay(130);	//ADJUST THIS VALUE for weaker welds, use smaller value. for stronger use higher.
    digitalWrite(relayPIN, LOW);
    Serial.println("relay-on");
}
